<id>
MessageIndex AttachInfo for YaBB 2.1
</id>

<version>
1.2
</version>

<mod info>
This Mod add AttachInfo in MessageIndex. User can see, if threads are attached with data or pic files.

Installation:
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.
 
Admin/ModList.pl (ASCII)
Languages/English/MessageIndex.lng (ASCII)
Sources/MessageIndex.pl (ASCII)
Templates/default/MessageIndex.template (ASCII)

yabbfiles/Templates/Forum/default/img2.gif (Binary) 
</mod info>

<author>
Boris Tjuvanov (MF-B)
</author>

<homepage>
http://yabb.xost.ru
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$messageindex_attachinfo = "MessageIndex_AttachInfo|Boris Tjuvanov (<a href=\"http://www.mf-b.ru\" target=\"_blank\">MF-B</a>) and Jeffrey Man (<a href=\"http://www.grafix-world.nl\" target=\"_blank\">Jet Li</a>)|This mod add AttachInfo in MessageIndex.|1.2|03/13/07";
	push (@installed_mods, "$messageindex_attachinfo");
</add before>

<edit file>
Languages/English/MessageIndex.lng
</edit file>

<search for>
'5' => "attachment",
</search for>

<add after>
'4a' => "(files)",
'5a' => "(file)",
'4b' => "(images)",
'5b' => "(image)",
</add after>

<edit file>
Sources/MessageIndex.pl
</edit file>

<search for>
		foreach $theatt (@attachmentlist) {
			($check, undef) = split(/\|/, $theatt, 2);
			$duped = 0;
			foreach $checkout (@temparr) {
				if ($checkout eq $check) {
					$duped = 1;
					$attachments{$check}++;
				}
			}
			if ($duped == 0) {
				push(@temparr, $check);
				$attachments{$check} = $i;
			}
		}
</search for>

<replace>
		foreach $theatt (@attachmentlist) {
			($check, undef, undef, undef, undef, undef, undef, $checkimg, undef) = split(/\|/, $theatt, 9);
			$duped = 0;
			foreach $checkout (@temparr) {
				if ($checkout eq $check) {
					$duped = 1;
					if($checkimg =~ /(jpg|gif|bmp|png|jpeg)$/i) { $attachmentsimg{$check}++; } else { $attachments{$check}++; }
				}
			}
			if ($duped == 0) {
				push(@temparr, $check);
				if($checkimg =~ /(jpg|gif|bmp|png|jpeg)$/i) { $attachmentsimg{$check} = $i; } else { $attachments{$check} = $i; }
			}
		}
</replace>

<search for>
		$temp_attachment = "";
		if (exists $attachments{$mnum}) {
			$atnum = qq~$attachments{$mnum}~;
			if($atnum == 1) { $attalttext = qq~$messageindex_txt{'3'} $atnum $messageindex_txt{'5'}~; }
			else { $attalttext = qq~$messageindex_txt{'3'} $atnum $messageindex_txt{'4'}~; }
			$temp_attachment = qq~<img src="$imagesdir/paperclip.gif" alt="$attalttext" />~;
		}
</search for>

<replace>
		$temp_attachment = "";
		$temp_attachmentfile = "";
		$temp_attachmentimg = "";
		if (exists $attachments{$mnum}) {
			if($attachments{$mnum} == 1) { $attalttext = qq~$messageindex_txt{'3'} $attachments{$mnum} $messageindex_txt{'5'} $messageindex_txt{'5a'}~; } 
			else { $attalttext = qq~$messageindex_txt{'3'} $attachments{$mnum} $messageindex_txt{'4'} $messageindex_txt{'4a'}~; }
			$temp_attachmentfile = qq~<img src="$imagesdir/paperclip.gif" alt="$attalttext" />~;
		}
		if (exists $attachmentsimg{$mnum}) {
			if($attachmentsimg{$mnum} == 1) { $attimgalttext = qq~$messageindex_txt{'3'} $attachmentsimg{$mnum} $messageindex_txt{'5'} $messageindex_txt{'5b'}~; } 
			else { $attimgalttext = qq~$messageindex_txt{'3'} $attachmentsimg{$mnum} $messageindex_txt{'4'} $messageindex_txt{'4b'}~; }
			$temp_attachmentimg = qq~&nbsp;<img src="$imagesdir/img2.gif" alt="$attimgalttext" />~;
		}
		$temp_attachment = qq~$temp_attachmentfile$temp_attachmentimg~;
</replace>

<edit file>
Templates/default/MessageIndex.template
</edit file>

<search for>
<div style="float: left; width: 95%;"><yabb favorite> <yabb new> <yabb poll><b><yabb subjectlink></b><yabb pages></div>
<div style="float: left; width: 5%; text-align: center;"><yabb attachmenticon></div>
</search for>

<replace>
<div style="float: left; width: 90%;"><yabb favorite> <yabb new> <yabb poll><b><yabb subjectlink></b><yabb pages></div>
<div style="float: left; width: 10%; text-align: right;"><yabb attachmenticon></div>
</replace>